mate-polkit (1.20.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 15:53:01 +0800

mate-polkit (1.20.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.3.0. No changes needed.
  * debian/control:
    + Move mate-polkit-bin from arch:any to arch:all.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 09 Jan 2019 10:34:21 +0100

mate-polkit (1.20.1-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * debian/rules: Fix build/host confusion. (Closes: #913416).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 11 Nov 2018 15:56:48 +0100

mate-polkit (1.20.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Add 0001-Switch-to-Ayatana-AppIndicator.patch and
      0002-Prefer-building-against-Ayatana-AppIndicator-but-als.patch.
      Support building against Ayatana AppIndicator.
  * debian/control:
    + Switch B-D from libappindicator3-dev to libayatana-appindicator3-dev.
      (Closes: #880193).
    + Update Vcs-*: fields. Package has been migrated to salsa.debian.org.
    + Bump Standards-Version: to 4.1.4. No changes needed.
    + Drop pkg-mate-team Alioth mailing list from Uploaders: field.
  * debian/copyright:
    + Use secure URI for copyright format.
    + Make Upstream-Name: field's value more human readable.
    + Update Upstream-Contact: field.
    + Update Source: field. Use secure URLs.
    + Update copyright attributions.
  * debian/upstream/metadata:
    + Add file. Be compliant with DEP-12 proposal.
    + Use Martin's address as Contact: address.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 05 Jul 2018 18:31:46 +0200

mate-polkit (1.20.0-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * debian/{control,*.install} (already in 1.20.0-0ubuntu1):
    + Drop obsolete gir1.2-polkitgtkmate-1.0, libmatepolkit-dev,
      libmatepolkit-doc, libpolkit-gtk-mate-1-0 and gir1.2-mate-polkit.
  * debian/copyright (already in 1.20.0-0ubuntu1):
    + Update copyright attributions.

  [ Vangelis Mouhtsis ]
  * debian/control (already in 1.19.0-0ubuntu1):
    + Temporarily have pkg-mate-team ML under Uploaders:.
    + Add myself to Uploaders: field.
    + Update Maintainer: field to debian-mate ML on lists.debian.org.
    + Rename pretty name of our team -> Debian+Ubuntu MATE Packaging Team.
    + Bump Standards-Version: to 4.1.3. No changes needed.

  [ Mike Gabriel ]
  * debian/source.lintian-overrides:
    + Fix package name in comment.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 12 Feb 2018 10:54:13 +0100

mate-polkit (1.20.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.

 -- Martin Wimpress <martin.wimpress@ubuntu.com>  Wed, 07 Feb 2018 14:03:55 +0000

mate-polkit (1.19.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.

 -- Martin Wimpress <martin.wimpress@ubuntu.com>  Tue, 23 Jan 2018 22:40:17 +0000

mate-polkit (1.18.2-2) unstable; urgency=medium

  * Rename GIR package to match Debian Policy.

  * debian/control:
    + Bump Standards-Version: to 4.1.2. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 14 Dec 2017 12:24:42 +0100

mate-polkit (1.18.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Drop useless B-D: autotools-dev.
    + Bump Standards-Version: to 4.1.1. No changes needed.
  * debian/watch:
    + Use secure URL for upstream source download.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 25 Nov 2017 17:24:22 +0100

mate-polkit (1.18.1-1) unstable; urgency=medium

  [ Aron Xu ]
  * New upstream release.

  [ Martin Wimpress ]
  * debian/control: Dependencies updated for MATE 1.17.
  * debian/rules: Remove obsolete --with-gtk=3.0
  * debian/control: Dependencies updated for MATE 1.18.
  * debian/rules: Add --disable-silent-rules, as used in other packages.

  [ Vangelis Mouhtsis ]
  * debian/compat:
    + Update compat version.
  * debian/control:
    + Bump debhelper version to (>= 10.3~).
  * debian/rules:
    + Add new block for DEB_DH_MISSING_ARGS.
  * debian/control:
    + Bump Standards-Version: to 4.0.0. No changes needed.

  [ Mike Gabriel ]
  * debian/rules:
    + Switch from DEB_DH_INSTALL_ARGS += --fail-missing to fail-missing target
      from CDBS's utils.mk.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 24 Jul 2017 15:28:52 +0200

mate-polkit (1.16.0-2) unstable; urgency=medium

  * debian/control:
    + Drop P (mate-polkit): policykit-1-gnome, replace by polkit-1-auth-agent.
      (Closes: #826488, #850298).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 10 Jan 2017 18:37:26 +0100

mate-polkit (1.16.0-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.

  [ Vangelis Mouhtsis ]
  * debian/changelog:
    + Fix missing changelog items for 1.15.0-0ubuntu1 upload.
  * debian/control:
    + Dependencies updated for MATE 1.16.
    + Versioned B-D: libgtk-3-dev (>= 3.14).
  * debian/watch:
    + Update version matching again to _not_ support development releases.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 01 Oct 2016 16:02:33 +0200

mate-polkit (1.15.0-0ubuntu1) yakkety; urgency=medium

  [ Martin Wimpress ]
  * New upstream development release.
  * debian/control:
    + Dependencies updated for MATE 1.15.
  * debian/watch:
    + Update version matching to support development releases.

  [ Vangelis Mouhtsis ]
  * debian/{control,rules}:
    + dbgsym: Don't build dbg:packages anymore.
      See https://wiki.debian.org/AutomaticDebugPackages.

 -- Martin Wimpress <code@flexion.org>  Fri, 09 Sep 2016 13:04:47 +0100

mate-polkit (1.14.0-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.
  * debian/control:
    + Versioned B-D: mate-common (>= 1.14)
    + B-D: libgtk-3-dev
    + Processed with wrap-and-sort.
  * debian/rules:
    + Add --with-gtk=3.0

  [ Mike Gabriel ]
  * debian/control:
    + Bump Standards to 3.9.8. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 20 May 2016 16:37:18 +0200

mate-polkit (1.12.0-3) unstable; urgency=medium

  * New bin:package: mate-polkit-bin. Move wrapper script into
    separate bin:package (for the sake of keeping bin:package mate-polkit
    multi-arch: same). (Closes: #814850).
  * debian/rules:
    + Enable all hardening flags.
  * debian/control:
    + Use encrypted URLs for Vcs-*: field.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 15 Feb 2016 09:59:23 +0100

mate-polkit (1.12.0-2) unstable; urgency=medium

  * Add wrapper script "mate-polkit" (with man page) allowing execution of the
    mate-polkit service outside of MATE desktops.
  * New bin:package: libmate-polkit-doc. Enable building of mate-polkit API
    documentation and ship it in a separate bin:package. (Closes: #788902).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 15 Feb 2016 08:02:28 +0100

mate-polkit (1.12.0-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 20 Dec 2015 17:09:43 +0100

mate-polkit (1.10.2-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.
  * debian/control:
    + Drop obsolete B-D libdbus-glib-1-dev.
    + Add to D (mate-polkit): accountsservice.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 29 Sep 2015 12:28:26 +0200

mate-polkit (1.10.1-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 02 Sep 2015 04:44:13 +0200

mate-polkit (1.10.0-1) unstable; urgency=low

  [ Martin Wimpress ]
  * debian/control:
    + Add gir1.2-mate-polkit package.
  * debian/rules:
    + Add --with-gtk=2.0.
    + Remove --disable-introspection.

  [ John Paul Adrian Glaubitz ]
  * Upload to unstable.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Mon, 10 Aug 2015 13:56:40 +0200

mate-polkit (1.10.0-1~exp1) experimental; urgency=low

  [ Martin Wimpress ]
  * New upstream release.
  * debian/control (and others):
    + Process with wrap-and-sort.

  [ Mike Gabriel ]
  * debian/control:
    + Add to D (libmatepolkit-dev): libpolkit-gobject-1-dev.
    + Versioned D: mate-common (>= 1.10).
  * debian/rules:
    + Use upstream's NEWS file as upstream ChangeLog.
    + Specifically name documentation files, avoid CDBS to copy
      the NEWS files as NEWS.gz and changelog.gz.
  * debian/{rules,watch}:
    + Upstream sources are now DFSG-compliant. Simply obtain
      upstream tarball as is and don't repack anymore.
  * debian/patches:
    + Drop 2001_omit-gfdl-licensed-API-documentation.patch. The new docs of
      mate-polkit are now DFSG-compliant.

  [ Vangelis Mouthsis ]
  * debian/control:
    + Bump Standards: to 3.9.6. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 15 Jun 2015 16:45:46 +0200

mate-polkit (1.8.0+dfsg1-4) unstable; urgency=medium

  [ Vangelis Mouhtsis ]
  * debian/rules:
    + Replace on dh_install --list-missing -> --fail-missing.

  [ Mike Gabriel ]
  * debian/rules:
    + Remove non-packaged *.la files after build.

  [ Martin Wimpress ]
  * debian/control:
    + Add 'Provide policykit-1-gnome' so that during installation mate-polkit
      can satisfy dependencies for applications such as Ubuntu Software Center.
      This is how lxsession handles this sceanrio.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 02 Jul 2014 10:38:48 +0200

mate-polkit (1.8.0+dfsg1-3) unstable; urgency=low

  * debian/control:
    + Binary package mate-polkit-common breaks mate-polkit (<< 1.8.0).
      (LP: #1270567).
    + Add versioned Breaks:/Replaces: for formerly named bin:package
      libmatepolkit.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 06 May 2014 17:56:10 +0200

mate-polkit (1.8.0+dfsg1-2) unstable; urgency=low

  * debian/copyright:
    + Point to git.mate-desktop.org in Source: field.
  * debian/rules:
    + Enable parallel builds.
    + Turn on compiler commands during package build (configure option:
      --disable-silent-rules).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 30 Apr 2014 16:20:58 +0200

mate-polkit (1.8.0+dfsg1-1) unstable; urgency=low

  * New upstream release.
  * Repack upstream tarball and omit non-DFSG (GFDL-1.1) files.
  * debian/watch:
    + Use tagged CGit tarball snapshots as upstream source.
    + Mangle Debian package version.
  * debian/patches:
    + Add patch: 2001_omit-gfdl-licensed-API-documentation.patch.
      Don't build GFDL-1.1 licensed API documentation.
  * debian/rules:
    + Build package with autogen.sh (again).
    + Provide get-orig-source rule.
  * debian/copyright:
    + Adapt to files in new (repacked) upstream tarball.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 11 Mar 2014 21:28:21 +0100

mate-polkit (1.6.1-1) unstable; urgency=low

  * New upstream release.
    - This new upstream release will supersede packages
      available from the MATE upstream repository
      (Closes: #733512).
    - Don't use autogen.sh for this version, upstream
      tarball ships configure script.
    - Use dh-autoreconf to fix FTBFS on architectures that are not
      yet supported by autotools files shipped by upstream.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 05 Jan 2014 00:01:47 +0100

mate-polkit (1.6.0-1) unstable; urgency=low

  * Initial release. (Closes: #728467).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 21 Dec 2013 23:47:59 +0100
